Bug 9918 - ypserv-1.3.9-1 (6.1 errata) doesn't allow new maps
Summary: ypserv-1.3.9-1 (6.1 errata) doesn't allow new maps
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ypserv   
(Show other bugs)
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-03-02 12:29 UTC by James Pearson
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-19 16:10:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Pearson 2000-03-02 12:29:36 UTC
I've just upgraded to ypserv-1.3.9-1 on all our ypservers. However, I can
no longer yppush new maps to the slave servers from the master.

The slave servers give the message:

Mar  1 12:33:41 web ypserv[22251]: ypproc_xfr: refuse to transfer auto.test
from 172.16.3.1, map doesn't exist

The ChangeLog in /usr/doc/ypserv-1.3.9 states:

        * server.c (ypproc_xfr_2_svc): By default, don't allow new maps.

However, the only way I can find to allow new maps is to recompile the
source.

It would be better if the ability to accept, or not, new maps could be
configured via /etc/ypserv.conf.

James Pearson

Comment 1 Florian La Roche 2000-05-19 16:10:59 UTC
this (security?) policy decision should be made by the author of the
package.


Note You need to log in before you can comment on or make changes to this bug.